%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname activeldap
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}
%define installroot %{buildroot}%{geminstdir}
%define examplesdir %{installroot}/examples


Summary:        Ruby/ActiveLdap is a object-oriented API to LDAP
Name:           rubygem-%{gemname}
Version:        1.0.1
Release:        1%{?dist}
Group:          Development/Languages
License:        GPLv2+
URL:            http://rubyforge.org/projects/ruby-activeldap/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(activerecord)
Requires:       rubygem(hoe) >= 1.5.0
Requires:       ruby-ldap
BuildRequires:  rubygems
BuildRequires:  gettext
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
'Ruby/ActiveLdap' is a ruby extension library which provides a clean objected
oriented interface to the Ruby/LDAP library.  It was inspired by ActiveRecord.
This is not nearly as clean or as flexible as ActiveRecord, but it is still
trivial to define new objects and manipulate them with minimal difficulty.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

rm -f %{examplesdir}/al-admin/public/.htaccess
rm -f %{examplesdir}/al-admin/public/favicon.ico
rm -f %{examplesdir}/al-admin/public/stylesheets/welcome.css


chmod +x %{installroot}/lib/active_ldap.rb
chmod +x %{installroot}/test/run-test.rb
chmod +x %{installroot}/test-unit/bin/testrb
chmod +x %{installroot}/test-unit/test/run-test.rb
chmod +x %{installroot}/test-unit-ext/misc/rd2html.rb

for script in groupadd groupdel groupls groupmod lpasswd ouadd useradd \
useradd-binary userdel userls usermod usermod-binary-add \
usermod-binary-add-time usermod-binary-del usermod-lang-add \
al-admin/script/process/reaper al-admin/script/process/spawner \
al-admin/script/process/inspector al-admin/script/destroy \
al-admin/script/plugin al-admin/script/console \
al-admin/script/performance/profiler al-admin/script/performance/benchmarker \
al-admin/script/performance/request al-admin/script/server \
al-admin/script/runner al-admin/script/about al-admin/script/generate \
al-admin/public/dispatch.fcgi al-admin/public/dispatch.cgi \
al-admin/public/dispatch.rb al-admin/test/run-test.sh;
do
    chmod +x %{examplesdir}/${script}
    sed -i -e 's/\/usr\/bin\/ruby1.8/\/usr\/bin\/ruby/' %{examplesdir}/${script}
done


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/examples/al-admin/public/robots.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%lang(en) %{geminstdir}/data/locale/en/LC_MESSAGES/active-ldap.mo
%lang(ja) %{geminstdir}/data/locale/ja/LC_MESSAGES/active-ldap.mo


%changelog
* Thu Oct 23 2008 Darryl Pierce <dpierce@redhat.com> - 1.0.1-1
- Release 1.0.1 of the gem.

